# CDLFront.hxx File Reference

`#include <TColStd_HSequenceOfHAsciiString.hxx>`
`#include <MS_MetaSchema.hxx>`
`#include <Standard_Macro.hxx>`

## Functions

int Standard_EXPORT | CDLTranslate (const Handle(MS_MetaSchema)&aMetaSchema, const Handle(TCollection_HAsciiString)&aFileName, const Handle(TColStd_HSequenceOfHAsciiString)&aGlobalList, const Handle(TColStd_HSequenceOfHAsciiString)&aTypeList, const Handle(TColStd_HSequenceOfHAsciiString)&anInstList, const Handle(TColStd_HSequenceOfHAsciiString)&anGenList)

## Function Documentation

int Standard_EXPORT CDLTranslate | ( | const Handle(MS_MetaSchema)& | aMetaSchema,
|  | const Handle(TCollection_HAsciiString)& | aFileName,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | aGlobalList,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | aTypeList,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | anInstList,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | anGenList
| ) |